<div *ngIf="progressBarVisible" class="spinnerOverlay">
<mat-progress-spinner
	[ngClass]="{'hidden' : !progressBarVisible}" 
	[mode]="spinnerMode()" >
</mat-progress-spinner>
</div>

<h1 mat-dialog-title>{{ 'ImportData' | translate }}</h1>

<mat-form-field appearance="outline" *ngIf="importServices.length > 1" >
	<mat-label>{{ 'ChooseFormat' | translate }}</mat-label>
	<mat-select (valueChange)="importerSelectionChanged()" [(value)]="importer">
		<mat-option *ngFor="let i of importServices" [value]="i">
			{{i.name}}
		</mat-option>
	</mat-select>
</mat-form-field>

<mat-form-field appearance="outline" >
	<ngx-mat-file-input #fileInput [formControl]="fileControl" [multiple]="true" [accept]="importer.fileType" >
	</ngx-mat-file-input>
	<mat-error *ngIf="fileControl.hasError('maxSize')">
		{{ 'ImportFileSizeMessage' | translate }}
	</mat-error>
</mat-form-field>

<p>{{ feedbackText }}</p>


<div class="buttons">
	<button mat-raised-button (click)="uploadBtnClick()" [disabled]="!fileControl.valid">Upload</button>
	<button mat-raised-button style="margin-left: 1em;" mat-dialog-close >{{ 'Close' | translate }}</button>
</div>
